<div class="msg-pop">
  <div>
    <h3>Order Status History</h3>
  </div>
</div>

<div class="table-responsive custom-table">
  <table aria-describedby="Manage Company" class="table table-bordered" *ngIf="orderHistoryLength > 0">
  <thead>
  <tr>
    <th scope="col"> Driver Name</th>
    <th scope="col"> Vehicle </th>
    <th scope="col"> Device </th>
    <th scope="col"> Order Status</th>
    <th scope="col"> Rejected Reason</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let orderhistory of orderHistoryData">
    <td>{{driverData.username}}</td>
    <td>{{orderhistory.vehicle_id? orderhistory.vehicle_id.display_name: 'N/A'}}</td>
    <td>{{orderhistory.device_id ? orderhistory.device_id.device_model: 'N/A'}}</td>
    <td>{{orderhistory.order_accept_reject == '1' ? 'Accepted': 'Rejected'}}</td>
    <td >{{orderhistory.order_accept_reject == '2' ? orderhistory.order_reject_reason: 'N/A'}}</td>
  </tr>

  </tbody>


</table>

  <div class="container-fluid" *ngIf="orderHistoryLength == 0">
    <div class="row">
      <div class="dataTables_info1">
        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
          No records found
        </div>
      </div>
    </div>
  </div>

  <div class="pop-btn text-right">
    <input class="btn btn-sm btn-primary red" value="Close" type="button" (click)="closePop()">

  </div>
</div>
